/*
 * dh6_rly.h    DHCPv6 Relay Data Structures
 *
 * Version:     @(#)dh6_rly.h   1.0     Dec-8-96
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed WITHOUT ANY WARRANTY and even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Many thanks to Jim Bound in Digital Equipment Corp.
 * Appreciate any further work on this release.
 *
 * Authors:     Yunzhou Li (yunzhou@iol.unh.edu)
 *
 */

#ifndef __DH6_RLY_H
#define __DH6_RLY_H

#define DH6RLY_CONF     "dh6_relay.conf"
#define RLY_CONF_PATH   "/etc/"

/*
 *	Server address list
 */
struct rly_server {
    struct rly_server   *next;
    struct rly_server   *prev;

    IF_INFO		*rs_ifi;	/* interface information */
    struct in6_addr	 rs_addr;	/* server address */
    struct u_timer	 rs_timer;
    u_int8_t		 rs_lifetime;
};

/* 
 *	Relay Address list
 *	including link-local address
 */
struct rly_ifaddr {
    struct rly_ifaddr   *next;
    struct rly_ifaddr   *prev;

    IF_INFO		*ria_ifi;	/* interface information */
    struct in6_addr      ria_addr;      /* address (net order) */
    struct fd_list	 ria_sk;	/* UDP socket */
};

#endif /* __DH6_RLY_H */
