/*
 * dispatch.h   Dispatch Structures
 *
 * Version:     @(#)dispatch.h   1.0     Dec-8-96
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed WITHOUT ANY WARRANTY and even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Many thanks to Jim Bound in Digital Equipment Corp.
 * Appreciate any further work on this release.
 *
 * Authors:     Yunzhou Li (yunzhou@iol.unh.edu)
 *
 */

#ifndef __DISPATCH_H
#define __DISPATCH_H

struct fd_list {
        struct fd_list *next;
        struct fd_list *prev;

	int		fd;
        void	       *data;
        void (*function)(void *);
};

extern void init_fdp(struct fd_list *);
extern void add_fdp(struct fd_list *);
extern void del_fdp(struct fd_list *);
extern int  dispatch(void);
extern void clean_fd_list( void );

#endif /* __DISPATCH_H */
