/*
 * localdefs.h  Some Definitions
 *
 * Version:     @(#)localdefs.h   1.0     Dec-8-96
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed WITHOUT ANY WARRANTY and even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Many thanks to Jim Bound in Digital Equipment Corp.
 * Appreciate any further work on this release.
 *
 * Authors:     Yunzhou Li (yunzhou@iol.unh.edu)
 *
 */

#ifndef __LOCALDEFS_H
#define __LOCALDEFS_H

typedef int boolean;

#ifndef NULL
#define NULL 0
#endif

#define FALSE		 0
#define TRUE		 1

#define SUCCESS		 0
#define FAILURE		-1
#define ENDOFFILE	-2

#define NOSOCKET	-1

#define PRINT_IPV6_ADDR(addr) \
	log_info(#addr": %s",	\
		inet_ntop(AF_INET6, addr, IPV6_ADDR_LEN, NULL));

#define PRINT_INTEGER(var)  	log_info(#var" = %d", var)
#define PRINT_STRING(var)  	log_info(#var" = %s", var)
#define PRINT_POINTER(var)  	log_info(#var" = %p", var)

extern char * time_ntop(int);
extern int time_pton(char *);

#endif /* __LOCALDEFS_H */
